Package com.emc.d2fs.services.dialog_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.dialog_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.dialog_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.dialog_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CancelDialogRequest`
  `createCancelDialogRequest()`
  Create an instance of `CancelDialogRequest`
  `CancelDialogResponse`
  `createCancelDialogResponse()`
  Create an instance of `CancelDialogResponse`
  `GetDialogRequest`
  `createGetDialogRequest()`
  Create an instance of `GetDialogRequest`
  `GetDialogResponse`
  `createGetDialogResponse()`
  Create an instance of `GetDialogResponse`
  `GetExportValuesUrlRequest`
  `createGetExportValuesUrlRequest()`
  Create an instance of `GetExportValuesUrlRequest`
  `GetExportValuesUrlResponse`
  `createGetExportValuesUrlResponse()`
  Create an instance of `GetExportValuesUrlResponse`
  `GetImportValuesUrlRequest`
  `createGetImportValuesUrlRequest()`
  Create an instance of `GetImportValuesUrlRequest`
  `GetImportValuesUrlResponse`
  `createGetImportValuesUrlResponse()`
  Create an instance of `GetImportValuesUrlResponse`
  `GetLabelsRequest`
  `createGetLabelsRequest()`
  Create an instance of `GetLabelsRequest`
  `GetLabelsResponse`
  `createGetLabelsResponse()`
  Create an instance of `GetLabelsResponse`
  `GetOptionsRequest`
  `createGetOptionsRequest()`
  Create an instance of `GetOptionsRequest`
  `GetOptionsResponse`
  `createGetOptionsResponse()`
  Create an instance of `GetOptionsResponse`
  `GetSubformInfoRequest`
  `createGetSubformInfoRequest()`
  Create an instance of `GetSubformInfoRequest`
  `GetSubformInfoResponse`
  `createGetSubformInfoResponse()`
  Create an instance of `GetSubformInfoResponse`
  `GetTaxonomyRequest`
  `createGetTaxonomyRequest()`
  Create an instance of `GetTaxonomyRequest`
  `GetTaxonomyResponse`
  `createGetTaxonomyResponse()`
  Create an instance of `GetTaxonomyResponse`
  `IsMemberOfGroupRequest`
  `createIsMemberOfGroupRequest()`
  Create an instance of `IsMemberOfGroupRequest`
  `IsMemberOfGroupResponse`
  `createIsMemberOfGroupResponse()`
  Create an instance of `IsMemberOfGroupResponse`
  `ValidDialogRequest`
  `createValidDialogRequest()`
  Create an instance of `ValidDialogRequest`
  `ValidDialogResponse`
  `createValidDialogResponse()`
  Create an instance of `ValidDialogResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.dialog_service

- ## Method Details

  - ### createGetDialogRequest

    public GetDialogRequest createGetDialogRequest()
    Create an instance of `GetDialogRequest`

  - ### createGetDialogResponse

    public GetDialogResponse createGetDialogResponse()
    Create an instance of `GetDialogResponse`

  - ### createValidDialogRequest

    public ValidDialogRequest createValidDialogRequest()
    Create an instance of `ValidDialogRequest`

  - ### createValidDialogResponse

    public ValidDialogResponse createValidDialogResponse()
    Create an instance of `ValidDialogResponse`

  - ### createCancelDialogRequest

    public CancelDialogRequest createCancelDialogRequest()
    Create an instance of `CancelDialogRequest`

  - ### createCancelDialogResponse

    public CancelDialogResponse createCancelDialogResponse()
    Create an instance of `CancelDialogResponse`

  - ### createGetOptionsRequest

    public GetOptionsRequest createGetOptionsRequest()
    Create an instance of `GetOptionsRequest`

  - ### createGetOptionsResponse

    public GetOptionsResponse createGetOptionsResponse()
    Create an instance of `GetOptionsResponse`

  - ### createGetTaxonomyRequest

    public GetTaxonomyRequest createGetTaxonomyRequest()
    Create an instance of `GetTaxonomyRequest`

  - ### createGetTaxonomyResponse

    public GetTaxonomyResponse createGetTaxonomyResponse()
    Create an instance of `GetTaxonomyResponse`

  - ### createGetLabelsRequest

    public GetLabelsRequest createGetLabelsRequest()
    Create an instance of `GetLabelsRequest`

  - ### createGetLabelsResponse

    public GetLabelsResponse createGetLabelsResponse()
    Create an instance of `GetLabelsResponse`

  - ### createIsMemberOfGroupRequest

    public IsMemberOfGroupRequest createIsMemberOfGroupRequest()
    Create an instance of `IsMemberOfGroupRequest`

  - ### createIsMemberOfGroupResponse

    public IsMemberOfGroupResponse createIsMemberOfGroupResponse()
    Create an instance of `IsMemberOfGroupResponse`

  - ### createGetImportValuesUrlRequest

    public GetImportValuesUrlRequest createGetImportValuesUrlRequest()
    Create an instance of `GetImportValuesUrlRequest`

  - ### createGetImportValuesUrlResponse

    public GetImportValuesUrlResponse createGetImportValuesUrlResponse()
    Create an instance of `GetImportValuesUrlResponse`

  - ### createGetExportValuesUrlRequest

    public GetExportValuesUrlRequest createGetExportValuesUrlRequest()
    Create an instance of `GetExportValuesUrlRequest`

  - ### createGetExportValuesUrlResponse

    public GetExportValuesUrlResponse createGetExportValuesUrlResponse()
    Create an instance of `GetExportValuesUrlResponse`

  - ### createGetSubformInfoRequest

    public GetSubformInfoRequest createGetSubformInfoRequest()
    Create an instance of `GetSubformInfoRequest`

  - ### createGetSubformInfoResponse

    public GetSubformInfoResponse createGetSubformInfoResponse()
    Create an instance of `GetSubformInfoResponse`